## slepc4py 3.7.0

=== docs/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/slepc4py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/slepc4py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/slepc4py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/slepc4py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## slepc4py 3.6.0

=== debian/changelog ===
slepc4py (3.6.0-1) unstable; urgency=low

  * Initial release. Closes: #600795.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 16:13:51 +0800

=== debian/control ===
Source: slepc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, cython, chrpath,
 python-all-dev (>=2.3.5-11), python-numpy (>= 1:1.4.1-4~),
 libslepc3.6-dev, libpetsc3.6-dev,
 python-petsc4py (>=3.6), python-petsc4py (<<3.7),
 mpi-default-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/slepsc/slepc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/

Package: python-slepc4py
Architecture: any
Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python bindings to almost all functions of SLEPc.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = slepc4py

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SLEPC_BASE_VERSION=3.6

SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )

PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf .eggs

override_dh_auto_build:
	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_build
	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
	# Swap it out for a standard path, or else dh_shlibsdep gets confused
	chrpath -d build/lib.*-*/slepc4py/lib/SLEPc.so

override_dh_auto_install:
	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_install

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_compress:
	dh_compress -Xpdf

override_dh_gencontrol:
	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))"

=== debian/watch ===
version=3
https://bitbucket.org/slepc/slepc4py https://bitbucket.org/slepc/slepc4py/downloads/slepc4py-(.*)\.tar\.gz debian uupdate

## slepc4py 3.7.0

=== debian/changelog ===
slepc4py (3.7.0-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:40:33 +0000

slepc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-slepc4py. Closes: #862111.
  * Use pybuild with debhelper (dh).
  * Move documentation and examples to python-slepc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 May 2017 14:40:15 +0800

slepc4py (3.7.0-2) unstable; urgency=medium

  * Release slepc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:50:30 +0800

slepc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Jul 2016 22:49:08 +0800

=== debian/control ===
Source: slepc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, chrpath,
 cython, cython3,
 python-all-dev (>=2.3.5-11), python3-all-dev,
 python-numpy (>= 1:1.4.1-4~), python3-numpy,
 libslepc3.7-dev, libpetsc3.7-dev,
 python-petsc4py (>=3.7), python-petsc4py (<<3.8),
 python3-petsc4py (>=3.7), python3-petsc4py (<<3.8),
 mpi-default-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/slepc/slepc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/

Package: python-slepc4py
Architecture: any
Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-slepc4py-docs
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python 2 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python 2 bindings to almost all functions of SLEPc.

Package: python3-slepc4py
Architecture: any
Depends: ${petsc4py:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-slepc4py-docs
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of SLEPc.

Package: python-slepc4py-docs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Breaks: python-slepc4py (<< 3.7.0-3)
Recommends: python-slepc4py | python3-slepc4py
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries: documentation and examples
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 slepc4py provides Python bindings to almost all functions of SLEPc.
 This package provides documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,14 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SLEPC_BASE_VERSION=3.6
+SLEPC_BASE_VERSION=3.7
 
 SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
 SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
 SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )
 
-PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
-SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
+export PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
+export SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -32,7 +32,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -41,8 +41,8 @@
 override_dh_auto_build:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
-	# Swap it out for a standard path, or else dh_shlibsdep gets confused
-	chrpath -d build/lib.*-*/slepc4py/lib/SLEPc.so
+	# Swap it out for a standard path, or else dh_shlibdeps gets confused
+	chrpath -d .pybuild/pythonX.Y_*/build/slepc4py/lib/SLEPc*.so
 
 override_dh_auto_install:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_install
@@ -55,4 +55,5 @@
 	dh_compress -Xpdf
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))"
+	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))" \
+                           -Vpetsc4py:Depends3="python3-petsc4py (>= $(SLEPC_BASE_VERSION)), python3-petsc4py (<< $(SLEPC_NEXT_VERSION))"

## slepc4py 3.8.0

=== debian/changelog ===
slepc4py (3.8.0-3) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org
  * d/rules: fix path to SLEPc*.so to remove RUNPATH
    (python build infrastructure has changed)
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:46:26 +0800

slepc4py (3.8.0-2) unstable; urgency=medium

  * debian/rules: automatically read version (3.8) from changelog

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Mar 2018 00:50:46 +0800

slepc4py (3.8.0-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Feb 2018 17:10:20 +0800

slepc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - applies debian patches
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * docs Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1)
  * debian/control: Priority: optional
  * python-slepc4py-docs Section: doc

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 18:20:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: slepc4py
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, chrpath,
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), dh-python, chrpath,
  cython, cython3,
  python-all-dev (>=2.3.5-11), python3-all-dev,
+ python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc3.7-dev, libpetsc3.7-dev,
- python-petsc4py (>=3.7), python-petsc4py (<<3.8),
- python3-petsc4py (>=3.7), python3-petsc4py (<<3.8),
- mpi-default-dev
+ libslepc-real3.8-dev, libpetsc-real3.8-dev,
+ python-petsc4py (>=3.8), python-petsc4py (<<3.9),
+ python3-petsc4py (>=3.8), python3-petsc4py (<<3.9),
+ mpi-default-dev,
+ libjs-jquery (>= 3.1.0),
+ libjs-underscore (>= 1.3.1)
 X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/slepc/slepc4py
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/
+Vcs-Git: git@salsa.debian.org:science-team/slepc4py.git
+Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
 
 Package: python-slepc4py
 Architecture: any
@@ -46,8 +49,9 @@
  This package provides Python 3 bindings to almost all functions of SLEPc.
 
 Package: python-slepc4py-docs
+Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Breaks: python-slepc4py (<< 3.7.0-3)
 Recommends: python-slepc4py | python3-slepc4py

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,24 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SLEPC_BASE_VERSION=3.7
+DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
+DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//p' )
+
+# SLEPC_VERSION is used for the package names, library sonames, and
+# /usr/lib/petscdir subdirectory names.
+export SLEPC_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(SLEPC_EXT)
+# use only major.minor in general soname (rather than major.minor.patch.build)
+export SLEPC_BASE_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
 SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
 SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
 SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )
 
-export PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
-export SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
+export PETSC_DIR=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
+export SLEPC_DIR=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -42,10 +52,17 @@
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
-	chrpath -d .pybuild/pythonX.Y_*/build/slepc4py/lib/SLEPc*.so
+	chrpath -d .pybuild/*python*/build/slepc4py/lib/SLEPc*.so
 
 override_dh_auto_install:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+
+override_dh_installdocs-indep:
+	dh_installdocs
+	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery.js
+	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore.js
 
 override_dh_python2:
 	dh_python2

## slepc4py 3.9.0

=== debian/changelog ===
slepc4py (3.9.0-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * add debian/tests (autopkgtest) to run tests and demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 16:51:06 +0800

slepc4py (3.9.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add source-is-missing lintian override for redirect.html
  * remove ancient-python-version-field X-Python-Version

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jul 2018 09:54:20 +0800

slepc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Standards-Version: 4.1.4
  * Update Vcs-Git to https to allow cloning by all.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:51:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11), dh-python, chrpath,
  cython, cython3,
  python-all-dev (>=2.3.5-11), python3-all-dev,
  python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.8-dev, libpetsc-real3.8-dev,
- python-petsc4py (>=3.8), python-petsc4py (<<3.9),
- python3-petsc4py (>=3.8), python3-petsc4py (<<3.9),
+ libslepc-real3.9-dev, libpetsc-real3.9-dev,
+ python-petsc4py (>= 3.9), python-petsc4py (<< 3.10),
+ python3-petsc4py (>= 3.9), python3-petsc4py (<< 3.10),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
-X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/slepc/slepc4py
-Vcs-Git: git@salsa.debian.org:science-team/slepc4py.git
+Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
 
 Package: python-slepc4py

## slepc4py 3.10.0

=== debian/changelog ===
slepc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives when packages are removed. Closes: #915685.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 22:23:50 +0100

slepc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
      python3-petsc4py-complex
  * run chrpath on SLEPc*.so and install python modules only for
    binary arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:49:25 +0800

slepc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
  * Provide python3-slepc4py-complex with complex number support.
    - Real number support is provided by python3-slepc4py-real
    - python3-slepc4py is now a dummy package depending on either
    - use alternatives to handle preferred slepc4py
  * debian patch read_slepc_config.patch reads slepc lib (slepc_real
    or slepc_complex) from SLEPC_LIB in slepcvariables for SLEPC_DIR

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 01:36:31 +0800

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  python-all-dev (>=2.3.5-11), python3-all-dev,
  python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.9-dev, libpetsc-real3.9-dev,
- python-petsc4py (>= 3.9), python-petsc4py (<< 3.10),
- python3-petsc4py (>= 3.9), python3-petsc4py (<< 3.10),
+ libslepc-real3.10-dev, libpetsc-real3.10-dev,
+ libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
+ python-petsc4py (>= 3.10), python-petsc4py (<< 3.11),
+ python3-petsc4py-real (>= 3.10), python3-petsc4py-real (<< 3.11),
+ python3-petsc4py-complex (>= 3.10), python3-petsc4py-complex (<< 3.11),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -28,24 +30,59 @@
 Description: Python 2 bindings for SLEPc libraries
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
  This package provides Python 2 bindings to almost all functions of SLEPc.
 
 Package: python3-slepc4py
-Architecture: any
-Depends: ${petsc4py:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-slepc4py-docs
+Architecture: all
+Depends: python3-slepc4py-real | python3-slepc4py-complex,
+ ${misc:Depends}
+Suggests: python-slepc4py-docs
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of SLEPc.
+ This is a dummy package that depends on python3-slepc4py-real or
+ python3-slepc4py-complex. If both are installed then alternatives can
+ be used to set the preferred configuration for slepc4py.
+
+Package: python3-slepc4py-real
+Architecture: any
+Depends: ${petsc4py-real:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-slepc4py (<< 3.10)
+Recommends: python-slepc4py-docs
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for SLEPc libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc with real number support.
+
+Package: python3-slepc4py-complex
+Architecture: any
+Depends: ${petsc4py-complex:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-slepc4py (<< 3.10)
+Recommends: python-slepc4py-docs
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for SLEPc libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc with complex number support.
 
 Package: python-slepc4py-docs
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//p' )

# SLEPC4PY_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
export SLEPC4PY_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(SLEPC_EXT)
# use only major.minor in general soname (rather than major.minor.patch.build)
export SLEPC_BASE_VERSION=$(shell echo $(SLEPC4PY_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )

PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
SLEPC_DIR_REAL=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
SLEPC_DIR_COMPLEX=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) dh $@ --with python2,python3 --buildsystem=pybuild
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX) dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .eggs

# nothing to build for arch-indep (docs, dummy package)
override_dh_auto_build-indep: ;
override_dh_auto_install-indep: ;

override_dh_auto_build-arch:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-slepc4py -ppython3-slepc4py-real
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex
	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
	# Swap it out for a standard path, or else dh_shlibdeps gets confused
	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so

override_dh_auto_install-arch:
	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-slepc4py -ppython3-slepc4py-real
	for p in debian/python3-slepc4py-real/usr/lib/python3*/dist-packages/slepc4py*; do \
	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/slepc4py/slepc4py_real/"); \
	done
	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-slepc4py-complex
	for p in debian/python3-slepc4py-complex/usr/lib/python3*/dist-packages/slepc4py*; do \
	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/slepc4py/slepc4py_complex/"); \
	done

override_dh_installdocs-arch:
	dh_installdocs -a debian/README.Debian

override_dh_installdocs-indep:
	dh_installdocs -i debian/README.Debian
	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery*.js
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery.js
	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore*.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore.js

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3
	dh_python2
	dh_numpy

override_dh_compress:
	dh_compress -Xpdf

override_dh_gencontrol:
	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))" \
                           -Vpetsc4py-real:Depends3="python3-petsc4py-real (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-real (<< $(SLEPC_NEXT_VERSION))" \
                           -Vpetsc4py-complex:Depends3="python3-petsc4py-complex (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-complex (<< $(SLEPC_NEXT_VERSION))"

override_dh_installdeb:
	dh_installdeb
	for pkg in $$(dh_listpackages -a); do \
	  sed -i -e 's/__SLEPC4PY_VERSION__/$(SLEPC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
	done

=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    python-pytest,
    python3-pytest,
    gzip

## slepc4py 3.11.0

=== debian/changelog ===
slepc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-slepc4py (python2 is deprecated)
  * autopkgtest: run debian/tests with script instead of pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 11:32:56 +0800

slepc4py (3.11.0-1exp1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * mark python-slepc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 12:21:32 +0800

=== debian/control ===
--- 
+++ 
@@ -3,37 +3,22 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11), dh-python, chrpath,
- cython, cython3,
- python-all-dev (>=2.3.5-11), python3-all-dev,
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-python, chrpath,
+ cython3,
+ python3-all-dev,
  python3-distutils,
- python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.10-dev, libpetsc-real3.10-dev,
- libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
- python-petsc4py (>= 3.10), python-petsc4py (<< 3.11),
- python3-petsc4py-real (>= 3.10), python3-petsc4py-real (<< 3.11),
- python3-petsc4py-complex (>= 3.10), python3-petsc4py-complex (<< 3.11),
+ python3-numpy (>= 1:1.4.1-4~),
+ libslepc-real3.11-dev, libpetsc-real3.11-dev,
+ libslepc-complex3.11-dev, libpetsc-complex3.11-dev,
+ python3-petsc4py-real (>= 3.11), python3-petsc4py-real (<< 3.12),
+ python3-petsc4py-complex (>= 3.11), python3-petsc4py-complex (<< 3.12),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
 Homepage: https://bitbucket.org/slepc/slepc4py
 Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
-
-Package: python-slepc4py
-Architecture: any
-Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-slepc4py-docs
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python 2 bindings for SLEPc libraries
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 2 bindings to almost all functions of SLEPc.
 
 Package: python3-slepc4py
 Architecture: all
@@ -87,15 +72,16 @@
 Package: python-slepc4py-docs
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Breaks: python-slepc4py (<< 3.7.0-3)
-Recommends: python-slepc4py | python3-slepc4py
+Recommends: python3-slepc4py
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for SLEPc libraries: documentation and examples
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
  slepc4py provides Python bindings to almost all functions of SLEPc.

## slepc4py 3.12.0

=== docs/source/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = petsc4py
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
slepc4py (3.12.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:46 +0100

slepc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:28:41 +1100

slepc4py (3.12.0-3) unstable; urgency=medium

  * rename python-slepc4py-docs package as python-slepc4py-doc.
    Closes: #945621.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 12:30:40 +1100

slepc4py (3.12.0-2) unstable; urgency=medium

  * upload slepc4py 3.12 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Dec 2019 11:29:33 +1100

slepc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Oct 2019 02:30:14 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12), dh-python, chrpath,
  cython3,
  python3-all-dev,
  python3-distutils,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.11-dev, libpetsc-real3.11-dev,
- libslepc-complex3.11-dev, libpetsc-complex3.11-dev,
- python3-petsc4py-real (>= 3.11), python3-petsc4py-real (<< 3.12),
- python3-petsc4py-complex (>= 3.11), python3-petsc4py-complex (<< 3.12),
+ libslepc-real3.12-dev, libpetsc-real3.12-dev,
+ libslepc-complex3.12-dev, libpetsc-complex3.12-dev,
+ python3-petsc4py-real (>= 3.12), python3-petsc4py-real (<< 3.13),
+ python3-petsc4py-complex (>= 3.12), python3-petsc4py-complex (<< 3.13),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: python3-slepc4py-real | python3-slepc4py-complex,
  ${misc:Depends}
-Suggests: python-slepc4py-docs
+Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries
@@ -41,7 +41,7 @@
 Architecture: any
 Depends: ${petsc4py-real:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-slepc4py (<< 3.10)
-Recommends: python-slepc4py-docs
+Recommends: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries (real numbers)
@@ -57,7 +57,7 @@
 Architecture: any
 Depends: ${petsc4py-complex:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-slepc4py (<< 3.10)
-Recommends: python-slepc4py-docs
+Recommends: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries (complex numbers)
@@ -69,13 +69,14 @@
  This package provides Python 3 bindings to almost all functions of
  SLEPc with complex number support.
 
-Package: python-slepc4py-docs
+Package: python-slepc4py-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Breaks: python-slepc4py (<< 3.7.0-3)
+Breaks: python-slepc4py (<< 3.7.0-3), python-slepc4py-docs
+Replaces: python-slepc4py-docs
 Recommends: python3-slepc4py
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for SLEPc libraries: documentation and examples

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) dh $@ --with python3 --buildsystem=pybuild
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX) dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
@@ -55,14 +55,14 @@
 override_dh_auto_install-indep: ;
 
 override_dh_auto_build-arch:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-slepc4py -ppython3-slepc4py-real
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so
 
 override_dh_auto_install-arch:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-slepc4py -ppython3-slepc4py-real
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real
 	for p in debian/python3-slepc4py-real/usr/lib/python3*/dist-packages/slepc4py*; do \
 	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/slepc4py/slepc4py_real/"); \
 	done
@@ -76,28 +76,21 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i debian/README.Debian
-	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery*.js
-	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery.js
-	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore*.js
-	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore.js
-
-override_dh_python2:
-	dh_python2
-	dh_numpy
+	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery.js
+	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore.js
 
 override_dh_python3:
 	dh_python3
 	dh_numpy3
-	dh_python2
-	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))" \
-                           -Vpetsc4py-real:Depends3="python3-petsc4py-real (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-real (<< $(SLEPC_NEXT_VERSION))" \
-                           -Vpetsc4py-complex:Depends3="python3-petsc4py-complex (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-complex (<< $(SLEPC_NEXT_VERSION))"
+	dh_gencontrol --  -Vpetsc4py-real:Depends3="python3-petsc4py-real (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-real (<< $(SLEPC_NEXT_VERSION))" \
+                          -Vpetsc4py-complex:Depends3="python3-petsc4py-complex (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-complex (<< $(SLEPC_NEXT_VERSION))"
 
 override_dh_installdeb:
 	dh_installdeb

=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    gzip
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://bitbucket.org/slepc/slepc4py/downloads/ slepc4py@ANY_VERSION@\.tar\.gz debian uupdate
